Core - Task # 59154

Story # 58777 (Accepted): Fixes/Tasks for impexp / distributions

Status: Resolved Priority: Should have

Author: Fabien Udriot Category: Import/Export (T3D)
Created: 2014-05-27 Assigned To: Marc Bastian Heinrichs
Updated: 2014-06-11 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Detect and import XML file as well as t3d

Description

Whenever installing a Distribution, the file located at EXT:distribution/Initialisation/data.t3d is detected and its content imported. It
would be good if the equivalent XML file (e.g data.xml) is also supported the same way as the binary file. This would make it more

convenient for versioning the file as instance.

Associated revisions

Revision 81662133 - 2014-06-11 17:04 - Marc Bastian Heinrichs

[TASK] Detect and import xml file as well as t3d on ext initialization

Whenever installing an extension, the file located at

EXT:ext_key/Initialisation/data.t3d is detected and its content imported.

This patch adds support for EXT:ext_key/Initialisation/data.xml file as

well.

Resolves: #59154

Releases: 6.2

Change-Id: le5cf843ed7fff24c0cc022892d68fa86ba14a674
Reviewed-on: https://review.typo3.org/30464

Reviewed-by: Tymoteusz Motylewski
Tested-by: Tymoteusz Motylewski
Reviewed-by: Fabien Udriot
Tested-by: Fabien Udriot
Reviewed-by: Zbigniew Jacko
Tested-by: Zbigniew Jacko
Reviewed-by: Xavier Perseguers
Reviewed-by: Steffen Ritter
Tested-by: Xavier Perseguers

History

#1 - 2014-05-27 22:32 - Fabien Udriot
- Parent task set to #58777

#2 - 2014-05-28 11:33 - Gerrit Code Review
- Status changed from New to Under Review
https://review.typo3.org/30464

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/30464

#3 - 2014-05-28 11:46 - Marc Bastian Heinrichs
- Category set to Import/Export (T3D)
- Assigned To set to Marc Bastian Heinrichs

#4 - 2014-06-11 17:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:81662133d515949c54f0c9b611a61416bce8b001.
